      SUBROUTINE pmodel(string, iparse, qmodel, qhist)
c          for XPLOT
c          fwj haberl march 1988
c          returns .TRUE. for qmodel if model is to be plotted
c          returns .TRUE. (.false.) for qhist if model is to be
c             plotted as histogram (line)
      INCLUDE 'xplot.inc'
      CHARACTER*(*) string
      INTEGER*4 iparse, iflag, idelim
      LOGICAL*4 qmodel, qhist
      INTEGER*4 maxscm, icom
      PARAMETER (maxscm=4)
      CHARACTER*4 subcom(maxscm)
      DATA subcom/'on', 'off', 'line', 'hist'/
 
      CALL xgtmch(string, iparse, subcom, maxscm, 'subcom', icom, iflag,
     &            idelim, *900)
      IF (icom.EQ.1) THEN
         qmodel = .TRUE.
      ELSEIF (icom.EQ.2) THEN
         qmodel = .FALSE.
      ELSEIF (icom.EQ.3) THEN
         qhist = .FALSE.
      ELSEIF (icom.EQ.4) THEN
         qhist = .TRUE.
      ENDIF
 900  CONTINUE
      RETURN
      END
